# Linux环境部署规划

### 系统版本

* Ubuntu 18.04.1 LTS
* JDK8
* Maven 3.6.0
* Git 2.17.1
* Jenkins 2.150.1
* YApi 1.4.3
* Nexus 3.15.2-01

### 系统用户

* root 用户
* ftp用户（仅能访问限定的目录）
* dev用户（用于启动各种应用）
* jenkins用户（仅用于发版）

### 目录划分

| 目录               | 功能描述                                |
| ------------------ | --------------------------------------- |
| /data/ftp          | FTP共享目录                             |
| /data/log          | 应用日志                                |
| /data/publish/java | Java后端应用发布路径（Jenkins用户授权） |
| /data/publish/web  | 前端应用发布路径（Jenkins用户授权）     |
| /data/soft         | 应用存放日志                            |
| /data/bin          | 应用安装路径                            |
| /data/back         | 备份文件路径                            |
| /data/file         | 数据文件路径                            |

![网络拓扑](image/网络拓扑.jpg)