* **收费标准** 

  ---

   1.收费标准创建

  > （1）基本设置：收费标准创建时根据当前选择的小区进行小区下属的收费标准创建，每一个费用名称需要保持唯一性，收费资产代表其可关联的资产主体类型，作为未来生成与查看账单时收费标准的归属判断。费用类型当前版本的功能暂不启用（作为未来数据统计、报表相关功能使用）其主要目的是将各种收费标准进行分类。根据不同的公司，分类标准可能不同，会根据公司级别账户进行收费类型字典的设置，当前版本作为预设固定类型。
  > 
  > （2）收费公式：收费公式作为账单生成的判断方式与计费方式使用，其中，判断公式决定了当前收费标注是否满足使用条件，标准单价与单位用于对收费标准的查看、账单字段展示、计费公式的字段引用等，计费公式当前版本仅支持手动编辑，暂不支持公式库，可根据相关计费字段编辑计费公式。
  > 
  > > 一，判断公式
  > > 
  > > 根据收费标准收费资产的不同，可选择的判断公式参数不同，其中房屋与水电表使用一套参数，车辆车位各自有相关参数。判断公式的优先级与收费标准资产关联一致，无法满足判断公式的情况下不参与账单计算。
  > > 
  > > > **房屋与水电表判断参数：**
  > > > 
  > > > 1.房屋参数：固定内容（标准单价、房屋楼层、建筑面积、计费面积、公摊面积、关联车位数量、关联新能源汽车数量、关联电动车数量、关联汽车数量）其中标准单价引用收费标准创建时手动输入的标准单价，在阶梯收费情况下，根据每个阶梯的不同引用不同阶梯的标准单价。
  > > > 
  > > > 2.状态参数：固定内容（自住房屋、已装修、已交房、已入住）仅能用作判断，可能出现将此参数用于参数计算中，会引发数据错误，无法完成判断，出现错误时视为无判断公式。（是否提示错误根据实现难度待定）
  > > > 
  > > > 3.关联参数：固定内容（关联资产数量、关联住户电表读数总和、关联住户水表读数总和）需要进行二次计算的参数，根据当前收费标准实际的关联资产情况得出的数据。如：关联住户水表读数总和在实际使用中就是讲所有关联了此收费标准的住户的住户水表计费行度加在一起。
  > > > 
  > > > 4.电表行度：固定内容（住户电表）非固定内容（公共电表列表）其中，住户电表为此收费标准关联的资产下住户水表的计费行度。而公共电表列表要展示此小区下所有公共表的名称，在编辑公式时要精确到具体的公共表，参与判断时为选定公共表的计费行度。
  > > > 
  > > > 5.水表行度：与电表读数同理
  > > > 
  > > > **车辆判断参数：**
  > > > 
  > > > 1.车辆参数：固定内容（标准单价）
  > > > 
  > > > 2.状态参数：固定内容（新能源车、小型汽车、中型汽车、大型汽车、电动自行车、摩托车、三轮车）
  > > > 
  > > > 3.关联参数：固定内容（关联资产数量）
  > > > 
  > > > 4.电表行度：非固定内容（公共电表列表）
  > > > 
  > > > 5.水表行度：非固定内容（公共水表列表）
  > > > 
  > > > **车位判断参数：**
  > > > 
  > > > 1.车位参数：固定内容（标准单价、关联汽车数量）
  > > > 
  > > > 2.状态参数：固定内容（公共车位、人防车位、产权车位、已售车位、已租车位、空置车位、自用车位、待售车位、待租车位、临停车位）
  > > > 
  > > > 3.关联参数：固定内容（关联资产数量）
  > > > 
  > > > 4.电表行度：非固定内容（公共电表列表）
  > > > 
  > > > 5.水表行度：非固定内容（公共水表列表）
  > > > 
  > > > | 资产类型   | 参数分类 | 参数内容                                                     |
  > > > |:------:|:----:|:--------------------------------------------------------:|
  > > > | 房屋及水电表 | 房屋参数 | 标准单价、房屋楼层、建筑面积、计费面积、公摊面积、关联车位数量、关联新能源汽车数量、关联电动车数量、关联汽车数量 |
  > > > | 房屋及水电表 | 状态参数 | 自住房屋、已装修、已交房、已入住                                         |
  > > > | 房屋及水电表 | 关联参数 | 关联资产数量、关联住户电表读数总和、关联住户水表读数总和                             |
  > > > | 房屋及水电表 | 电表行度 | 住户电表、公共电表列表                                              |
  > > > | 房屋及水电表 | 水表行度 | 住户水表、公共水表列表                                              |
  > > > | 车辆     | 车辆参数 | 标准单价                                                     |
  > > > | 车辆     | 状态参数 | 新能源车、小型汽车、中型汽车、大型汽车、电动自行车、摩托车、三轮车                        |
  > > > | 车辆     | 关联参数 | 关联资产数量                                                   |
  > > > | 车辆     | 电表行度 | 公共电表列表                                                   |
  > > > | 车辆     | 水表行度 | 公共水表列表                                                   |
  > > > | 车位     | 车位参数 | 标准单价、关联汽车数量                                              |
  > > > | 车位     | 状态参数 | 公共车位、人防车位、产权车位、已售车位、已租车位、空置车位、自用车位、待售车位、待租车位、临停车位        |
  > > > | 车位     | 关联参数 | 关联资产数量                                                   |
  > > > | 车位     | 电表行度 | 公共电表列表                                                   |
  > > > | 车位     | 水表行度 | 公共水表列表                                                   |
  > > 
  > >  二，计费公式与阶梯收费区间参数选择
  > > 
  > > 在判断参数的基础上，由于状态参数属于状态，无法参与公式的计算。另外在阶梯收费情况下，阶梯也可使用同样的参数用以判断阶梯的触发。
  > > 
  > > > **房屋与水电表判断参数：**
  > > > 
  > > > 1.房屋参数：固定内容（标准单价、房屋楼层、建筑面积、计费面积、公摊面积、关联车位数量、关联新能源汽车数量、关联电动车数量、关联汽车数量）其中标准单价引用收费标准创建时手动输入的标准单价，在阶梯收费情况下，根据每个阶梯的不同引用不同阶梯的标准单价。
  > > > 
  > > > 2.关联参数：固定内容（关联资产数量、关联住户电表读数总和、关联住户水表读数总和）需要进行二次计算的参数，根据当前收费标准实际的关联资产情况得出的数据。如：关联住户水表读数总和在实际使用中就是讲所有关联了此收费标准的住户的住户水表计费行度加在一起。
  > > > 
  > > > 3.电表行度：固定内容（住户电表）非固定内容（公共电表列表）其中，住户电表为此收费标准关联的资产下住户水表的计费行度。而公共电表列表要展示此小区下所有公共表的名称，在编辑公式时要精确到具体的公共表，参与判断时为选定公共表的计费行度。
  > > > 
  > > > 4.水表行度：与电表读数同理
  > > > 
  > > > **车辆判断参数：**
  > > > 
  > > > 1.车辆参数：固定内容（标准单价）
  > > > 
  > > > 2.关联参数：固定内容（关联资产数量）
  > > > 
  > > > 3.电表行度：非固定内容（公共电表列表）
  > > > 
  > > > 4.水表行度：非固定内容（公共水表列表）
  > > > 
  > > > **车位判断参数：**
  > > > 
  > > > 1.车位参数：固定内容（标准单价、关联汽车数量）
  > > > 
  > > > 2.关联参数：固定内容（关联资产数量）
  > > > 
  > > > 3.电表行度：非固定内容（公共电表列表）
  > > > 
  > > > 4.水表行度：非固定内容（公共水表列表）
  > > > 
  > > > | 资产类型   | 参数分类 | 参数内容                                                     |
  > > > |:------:|:----:|:--------------------------------------------------------:|
  > > > | 房屋及水电表 | 房屋参数 | 标准单价、房屋楼层、建筑面积、计费面积、公摊面积、关联车位数量、关联新能源汽车数量、关联电动车数量、关联汽车数量 |
  > > > | 房屋及水电表 | 关联参数 | 关联资产数量、关联住户电表读数总和、关联住户水表读数总和                             |
  > > > | 房屋及水电表 | 电表行度 | 住户电表、公共电表列表                                              |
  > > > | 房屋及水电表 | 水表行度 | 住户水表、公共水表列表                                              |
  > > > | 车辆     | 车辆参数 | 标准单价                                                     |
  > > > | 车辆     | 关联参数 | 关联资产数量                                                   |
  > > > | 车辆     | 电表行度 | 公共电表列表                                                   |
  > > > | 车辆     | 水表行度 | 公共水表列表                                                   |
  > > > | 车位     | 车位参数 | 标准单价、关联汽车数量                                              |
  > > > | 车位     | 关联参数 | 关联资产数量                                                   |
  > > > | 车位     | 电表行度 | 公共电表列表                                                   |
  > > > | 车位     | 水表行度 | 公共水表列表                                                   |
  > 
  > （3）阶梯收费：基本设置与非阶梯收费一致，但根据不同的收费区间，可能存在不同的计费阶梯（具体计费方式需与运营人员确认，阶梯收费有相应的行业标准）通过收费区间的设置实现分段计算。每个阶梯都使用同样的计费公式，但是可设置不同的计费单价，通过阶梯收费区间参数的条件来判断触发条件。
  > 
  > （4）精度与其他设置：当前版本所有金额计算基数基于"元"，计费精度可精确到“角”“分”，通过对计算结果进行计数保留得到想要的计费精度，保留法与财务的行业术语一致。
  > 
  > （5）字段说明   
  > 
  > | 字段名称     | 备注                                                                                                                                                                                                     | 是否必填 |
  > |:--------:|:------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |:----:|
  > | 费用名称     | 检测唯一性，创建后名称无法修改。                                                                                                                                                                                       | 是    |
  > | 收费资产     | 收费资产决定关联的资产类型，包括：房屋、车辆、车位、水表、电表                                                                                                                                                                        | 是    |
  > | 费用类型     | 根据字典预设，当前版本包括：物业服务费、车位服务费、车辆管理费、水费、电费、电梯分摊费等                                                                                                                                                           | 是    |
  > |          |                                                                                                                                                                                                        |      |
  > | 判断公式     | 展示判断公式的内容，点击弹出判断公式编辑弹窗。弹窗包括编辑区与引用区，编辑区包括基础四则运算与逻辑判断符号，引用区包括所有可用来引用的数据，根据所选资产的不同，能够引用的数据也会不同包括房屋（房屋资产的参数包括水电表资产选择）、车辆、车位。判断公式可能因为引用参数的问题（不存在，判断公式错误等）被判断为空，暨视为无判断公式。                                    | 否    |
  > | 判断（基础参数） | 根据资产的不同会有不同，房屋资产包括：标准单价、建筑面积、计费面积、公摊面积、车位数量、新能源汽车数量、汽车数量、水表读数、电表读数（补充加入：电动车数量）数据来源为收费标准设置、资产参数等（当此收费标准与资产进行关联时才可得到相应资产参数，如：选择了建筑面积但收费标准关联了车辆，此公式无法生效，默认被认为无判断公式）                                       | -    |
  > | 判断（关联参数） | 包括：关联资产数量（当前收费标准关联的资产数量的总和），关联住户电表读数总和。关联住户水表读数总和（如当前收费标准的资产无法关联水表或电表，则此条引用数据默认为0参与计算）                                                                                                                 | -    |
  > | 判断（电表读数） | 此字段引用所有的公共电表，引用对应表读数进行计算                                                                                                                                                                               | -    |
  > | 判断（水表读数） | 此字段引用所有的公共水表，引用对应表读数进行计算                                                                                                                                                                               | -    |
  > | 判断（状态参数） | 当前版本仅支持房屋相关的状态参数，在资产非房屋时，已引用此类参数的判断公式判断为空，已设置的判断公式不生效                                                                                                                                                  | -    |
  > | 标准单价     | 标准单价对收费标准的查看、账单字段展示、计费公式的字段引用，默认单位为“元”。在阶梯收费时各个阶梯的单价为必填项，非阶梯时非必填。                                                                                                                                      | 否    |
  > | 标准单位     | 标准单位仅作为数据展示与查看使用。大于0，可输入多位小数，按照系统支持的最多位进行限制（小数可正常参与账单的计算，但输出结果的时候会按照精度设置进行保留）                                                                                                                          | 否    |
  > | 计费公式     | 展示计费公式的内容，点击弹出判断公式编辑弹窗。弹窗包括编辑区与引用区，编辑区包括基础四则运算符号，引用区包括所有可用来引用的数据，根据所选资产的不同，能够引用的数据也会不同包括房屋（房屋资产的参数包括水电表资产选择）、车辆、车位。计费公式可能因为引用参数的问题（不存在，判断公式错误等）被判断为空，暨视为计费公式计算结果为0。在勾选临时缴费的状态下计费公式可为空。阶梯收费情况下，计费公式为必填。 | 是/否  |
  > | 计费（基础参数） | 包括：标准单价、建筑面积、计费面积、公摊面积、车位数量、新能源汽车数量、汽车数量、水表读数、电表读数（补充加入：电动车数量）数据来源为收费标准设置、资产参数等（当此收费标准与资产进行关联时才可得到相应资产参数，如：选择了建筑面积但收费标准关联了车辆，此公式无法得出结果，计算结果视为0）                                                        | -    |
  > | 计费（关联参数） | 包括：关联资产数量（当前收费标准关联的资产数量的总和），关联住户电表读数总和。关联住户水表读数总和（如当前收费标准的资产无法关联水表或电表，则此条引用数据默认为0参与计算）                                                                                                                 | -    |
  > | 计费（电表读数） | 此字段引用所有的公共电表，引用对应表读数进行计算                                                                                                                                                                               | -    |
  > | 计费（水表读数） | 此字段引用所有的公共水表，引用对应表读数进行计算                                                                                                                                                                               | -    |
  > | 阶梯收费     | 阶梯收费的切换开关，开启后增加收费阶梯，默认为两段阶梯，可手动添加或关闭，关闭到只剩单阶梯时，自动关闭阶梯收费。                                                                                                                                               | -    |
  > | 阶梯（标准单价） | 每个阶梯的标准单价可以单独设置，设置后作为此阶梯中计费公式相关的单价进行计算。                                                                                                                                                                | 是    |
  > | 阶梯（计费公式） | 继承收费公式中设置的计费公式，所有阶梯保持一致。                                                                                                                                                                               | -    |
  > | 阶梯（收费区间） | 第一阶梯下收费区间的判断条件可选，其判断条件与计费公式中的变量相同，起始区间要从0开始，切在后续的阶梯中，收费区间不可断档也不可交叉。其他收费阶梯的判断条件不可选，与第一阶梯的判断条件保持一致。当选择的判断区间条件无资产关联时，默认生成账单的金额为0。                                                                         | 是    |
  > | 计费精度     | 金额计算基数基于"元"，计费精度可精确到“角”“分”。默认“元”                                                                                                                                                                       | 是    |
  > | 计数保留法    | 包括：进一法（超过计费精度的小数选择进位），去尾法（超过计费精度的小数选择舍去），四舍五入（超过计费精度的小数选择四舍五入）。默认四舍五入。                                                                                                                                 | 是    |
  > | 是否预付     | 预付选择给收费标准进行限制，勾选预付的收费标准可应用于预付账单操作。                                                                                                                                                                     | -    |
  > | 临时缴费     | 临时缴费用于不同场景下的收费标准使用，一般收费标准用于账期账单的生成，临时收费不用于账期生成，而用于资产下临时缴费时收费标准的选择。临时缴费状态下计费公式非必填。                                                                                                                      | -    |

   2.收费标准列表

  > （1）布局简介：![收费标准列表布局]()导航区：列表选择。
  > 
  > （2）列表选择：![账单列表与关联]()列表选择为不同资产目录导航，通过不同资产的切换查看房屋、车位、车辆这些资产下的收费标准，可精准的找到小区下属的所有资产实体的收费标准关联情况。在选择公司与小区后默认查看整个小区的所有收费标准，并可选择每一个收费标准进行查看或者对收费标准进行关联，关联操作可对收费标准的资产类型进行关联绑定或解绑操作。同时可对所有收费标准进行排序，对账单打印时打印的顺序进行排序。
  > 
  > （3）收费标准详情：![收费标准详情]()可通过点击收费标准名称可看到收费标准的详细内容，并可对收费标准进行编辑、禁用或者删除，编辑时，除了收费标准的名称不可修改，其他设置均可修改，在收费资产发生变化时，之前关联的所有资产均会自动删除，但如果资产关联未改变资产类型则继承原始关联。禁用操作无限制，可对任何收费标准进行禁用，禁用不影响其关联和已经生成的账单，但收费标准无法在生成账单时使用临时缴费也无法选择此收费标准。删除仅可针对未产生任何账单及收费的可进行删除，包括有预存款针对此收费标准的抵扣也无法删除。
  > 
  > （4）收费标准-房屋：![收费标准房屋]()选择房屋列表后可精准的选择某个特定房屋，并查看此房屋下的基础信息与关联的收费标准。基础信息包括房屋信息、业主信息、关联资产，其中，房屋信息包含房屋的基础信息用以对比了解房屋情况用以对比收费标准是否异常，业主信息包含当前房屋的业主与历史业主，关联资产包括与房屋相关的车辆车位等资产情况。而房屋下的收费标准除房屋本身外，与房屋关联的用户水电表收费标准与关联的车辆车位的收费标准也同时呈现。
  > 
  > （5）收费标准-车辆车位：![收费标准车辆车位]()选择车辆车位列表后可精准的选择某个特定车辆车位资产，并查看此资产下的关联资产与本身的收费标准。

   3.收费标准编辑与删除

  > 编辑：创建后的收费标准可以进行修改，但不可修改名称。
  > 
  > 禁用：禁用不影响收费标准的设定与已经关联的资产关系，但无法使用也无法对其进行资金预存，因此有预存款的收费项目无法禁用。
  > 
  > 删除：该收费项目有预存款余额时不可删除。

  ---
